MediaWiki:Fandomdesktop.css: Difference between revisions

No edit summary
Els236 (talk | contribs)
handbook
 
(6 intermediate revisions by 3 users not shown)
Line 1: Line 1:
/* Import Caching */
/* Import Caching */
@import url("/load.php?mode=articles&articles=MediaWiki:Variables.css|u:dev:MediaWiki:FandomIcons.css|u:dev:MediaWiki:PortableNavbox.css|MediaWiki:Mbox.css|MediaWiki:FD_Mbox.css|MediaWiki:Infobox.css|MediaWiki:Quotes.css|MediaWiki:Navbox.css|MediaWiki:Font.css|MediaWiki:Item.css|MediaWiki:Colors.css|MediaWiki:Gallery.css|MediaWiki:CustomTabs.css|MediaWiki:Tables.css|MediaWiki:EditorDashboard.css|MediaWiki:Documentation.css|MediaWiki:Dialogue.css|u:dev:MediaWiki:Module:Documentation.css|u:dev:MediaWiki:InterlanguageFlags.css|MediaWiki:Tooltip.css|MediaWiki:Keys.css|MediaWiki:StaffColors.css|MediaWiki:Rubi.css|MediaWiki:Events.css|MediaWiki:Attributes.css|MediaWiki:Icon.css&only=styles");
@import url("/load.php?mode=articles&articles=MediaWiki:Variables.css|u:dev:MediaWiki:FandomIcons.css|u:dev:MediaWiki:PortableNavbox.css|MediaWiki:Mbox.css|MediaWiki:FD_Mbox.css|MediaWiki:Infobox.css|MediaWiki:Quotes.css|MediaWiki:Navbox.css|MediaWiki:Font.css|MediaWiki:Item.css|MediaWiki:Colors.css|MediaWiki:Gallery.css|MediaWiki:CustomTabs.css|MediaWiki:Tables.css|MediaWiki:EditorDashboard.css|MediaWiki:Documentation.css|MediaWiki:Dialogue.css|u:dev:MediaWiki:Module:Documentation.css|u:dev:MediaWiki:InterlanguageFlags.css|MediaWiki:Tooltip.css|MediaWiki:Keys.css|MediaWiki:StaffColors.css|MediaWiki:Rubi.css|MediaWiki:Events.css|MediaWiki:Attributes.css|MediaWiki:ChangeHistory.css|MediaWiki:Icon.css&only=styles");
@import "/load.php?mode=articles&articles=u:dev:MediaWiki:BalancedDiscord.css&only=styles";
@import "/load.php?mode=articles&articles=u:dev:MediaWiki:BalancedDiscord.css&only=styles";
@import "/load.php?mode=articles&articles=u:dev:MediaWiki:BalancedSearch.css&only=styles";
@import "/load.php?mode=articles&articles=u:dev:MediaWiki:BalancedSearch.css&only=styles";
Line 10: Line 10:
@import url('https://fonts.googleapis.com/css2?family=Quicksand:[email protected]&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Quicksand:[email protected]&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+JP:wght@400;700&family=Noto+Sans+KR:wght@400;700&family=Noto+Sans+SC:wght@400;700&family=Noto+Sans+TC:wght@400;700&family=Noto+Sans+Thai:wght@400;700&family=Noto+Sans:ital,wght@0,400;0,700;1,400;1,700&family=Noto+Sans+Avestan:wght@400;700&family=Noto+Sans+Hebrew:wght@400;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+JP:wght@400;700&family=Noto+Sans+KR:wght@400;700&family=Noto+Sans+SC:wght@400;700&family=Noto+Sans+TC:wght@400;700&family=Noto+Sans+Thai:wght@400;700&family=Noto+Sans:ital,wght@0,400;0,700;1,400;1,700&family=Noto+Sans+Avestan:wght@400;700&family=Noto+Sans+Hebrew:wght@400;700&display=swap');


:root {
:root {
Line 28: Line 27:
margin-top: 10px;
margin-top: 10px;
margin-bottom: 10px;
margin-bottom: 10px;
}
.Mainpage-border:has(div.Mainpage-header) {
padding: 2px;
}
}


Line 34: Line 37:
border-radius: 2px;
border-radius: 2px;
color: #000000;
color: #000000;
    font-weight: bold;
font-size: 1.4em;
font-size: 1.4em;
padding: 1px;
padding: 1px;
margin-bottom: 10px;
margin-bottom: 10px;
font-family: 'BarlowBold', sans-serif;
}
}


Line 179: Line 182:
#ActivityFeed .mw-changeslist-line-inner {
#ActivityFeed .mw-changeslist-line-inner {
text-align:left;
text-align:left;
width: 254px;
width: 284px;
}
}
#ActivityFeed span.mw-changeslist-line-inner-userLink {
#ActivityFeed span.mw-changeslist-line-inner-userLink {
Line 328: Line 331:
margin-left: 0;
margin-left: 0;
}
}
}
}
/* For [[Template:Change History]] */
.change-history-header {
display: flex;
justify-content: space-between;
align-items: center;
font-size: 88%;
margin: 0.3em 0;
}
.change-history-content {
overflow: auto;
max-height: 330px;
padding: 0.5em;
box-sizing: border-box;
-moz-box-sizing: border-box;
-moz-border-radius-topleft: 0.5em;
background: transparent;
border-radius: 4px;
hr + p {
margin-block: 0;
}
}
}
}
Line 613: Line 592:
text-overflow: unset;
text-overflow: unset;
-webkit-line-clamp: unset;
-webkit-line-clamp: unset;
}
/* For [[Template:Handbook]], from GIW */
.handbook dd { margin-left: 0; }
.handbook .handbook-detail {
    display: flex;
    gap: 4px;
    align-items: flex-start;
    margin: 10px 0;
}
.handbook .handbook-detail > a.image { overflow: visible !important; }
.handbook .handbook-detail > a.new {
    flex: 0 0 200px;
    height: 110px;
    background-image: url(https://static.wikia.nocookie.net/honkai-nexus-anima/images/d/dd/Unknown.png);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    font-size: 0;
}
.page-content .dialogue .handbook dt {
    font-weight: 700;
    font-style: inherit;
    font-size: inherit;
}
/* Scrollbar */
::-webkit-scrollbar {
width: 12px !important;
-webkit-overflow-scrolling: auto !important;
}
::-webkit-scrollbar-track {
-webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3) !important;
-webkit-border-radius: 10px !important;
border-radius: 10px !important;
}
::-webkit-scrollbar-thumb {
-webkit-border-radius: 10px !important;
border-radius: 10px !important;
background: #73ebe9 !important;
-webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.5) !important;
}
::-webkit-scrollbar-thumb:window-inactive {
background: #73ebe9 !important;
}
}